ata_scsiop_mode_sense
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsiop_mode_sense — Simulate MODE SENSE 6, 10 commands

## Synopsis

`unsigned int ata_scsiop_mode_sense (` | struct ata_scsi_args * | args,
| u8 * | rbuf,
| unsigned int | buflen`)`;

## Arguments

`args`

  device IDENTIFY data / SCSI command of interest.

`rbuf`

  Response buffer, to which simulated SCSI cmd output is sent.

`buflen`

  Response buffer length.

## Description

Simulate MODE SENSE commands. Assume this is invoked for direct access devices (e.g. disks) only. There should be no block descriptor for other device types.

## LOCKING

spin_lock_irqsave(host lock)

Prev | Up | Next
ata_msense_rw_recovery | Home | ata_scsiop_read_cap